<?php

/**
 * @version 1.0.2 stable
 * @package Bootstrap Menu
 * @copyright Copyright (C) 2012 ReneKreijveld.nl, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://www.renekreijveld.nl
 * @author email email@renekreijveld.nl
 * @developer René Kreijveld
 *
 * Bootstrap Menu is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version. See <http://www.gnu.org/licenses/>.
 *
 * Bootstrap Menu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 */

// No direct access.
defined('_JEXEC') or die;

$ulclass = 'nav';
$dropdown = 0;
$maincarets = $params->get('bsShowCaretsMain');
$subcarets = $params->get('bsShowCaretsSub');
switch ($params->get('bsMenuType')) {
	case 0: // Navbar
		break;
	case 1: // Navbar with Dropdowns
		$dropdown = 1;
		break;
	case 2: // Basic Pills
		$ulclass .= ' nav-pills';
		break;
	case 3: // Basic Tabs
		$ulclass .= ' nav-tabs';
		break;
	case 4: // Stacked Pills
		$ulclass .= ' nav-pills nav-stacked';
		break;
	case 5: // Stacked Tabs
		$ulclass .= ' nav-tabs nav-stacked';
		break;
	case 6: // Pills with dropdowns
		$ulclass .= ' nav-pills';
		$dropdown = 1;
		break;
	case 7: // Tabs with dropdowns
		$ulclass .= ' nav-tabs';
		$dropdown = 1;
		break;
	case 8: // Nav List
		$ulclass .= ' nav-list';
		break;
}
// Note. It is important to remove spaces between elements.
?>

<ul class="<?php echo $ulclass;echo $class_sfx;?>"<?php
	$tag = '';
	if ($params->get('tag_id')!=NULL) {
		$tag = $params->get('tag_id').'';
		echo ' id="'.$tag.'"';
	}
?>>
<?php
foreach ($list as $i => &$item) :
	$class = 'item-'.$item->id;
	if ($item->id == $active_id) {
		$class .= ' current';
	}

	if ($item->type == 'alias' &&
			in_array($item->params->get('aliasoptions'),$path)
		||	in_array($item->id, $path)) {
		$class .= ' active';
	}

	if (($item->deeper) && ($dropdown == 1)) {
		$class .= ' dropdown';
	}
		
	elseif ($item->deeper) {
		$class .= ' deeper';
	}
	
	if ($item->parent) {
		$class .= ' parent';
	}

	if (($params->get('bsSepHand') == 1) && 
		($item->type == 'separator') && 
		($item->level == 1) && 
		($params->get('bsMenuType') < 2))
	{
		$class .= ' divider-vertical';
	}

	if (($params->get('bsSepHand') == 1) && ($item->type == 'separator')) {
		$class .= ' divider';
	}

	if (!empty($class)) {
		$class = ' class="'.trim($class) .'"';
	}

	echo '<li'.$class.'>';

	// Render the menu item.
	switch ($item->type) :
		case 'separator':
		case 'url':
		case 'component':
			require JModuleHelper::getLayoutPath('mod_bootstrap_menu', 'default_'.$item->type);
			break;

		default:
			require JModuleHelper::getLayoutPath('mod_bootstrap_menu', 'default_url');
			break;
	endswitch;

	// The next item is deeper.
	if (($item->deeper) && ($dropdown == 1)){
		echo '<ul class="dropdown-menu">';
	}
	elseif ($item->deeper) {
		echo '<ul>';
	}
	// The next item is shallower.
	elseif ($item->shallower) {
		echo '</li>';
		echo str_repeat('</ul></li>', $item->level_diff);
	}
	// The next item is on the same level.
	else {
		echo '</li>';
	}
endforeach;
?></ul>
